Bug 426720 - Masquerading doesn't allow packets to be forwarded by default
Masquerading doesn't allow packets to be forwarded by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 18:10 EST by Charles R. Anderson
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.12-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2007-12-24 18:10:30 EST
Description of problem:

s-c-firewall has this nice Masquerading section in it which creates the NAT
rules in the PREROUTING and POSTROUTING chains, and it even helpfully turns on
IPv4 Forwarding for you.  Unfortunately, it doesn't remove the default iptables
rule that blocks all traffic in the FORWARD chain.  This kinda makes the whole
"easy to configure masquerading" functionality pointless.

Version-Release number of selected component (if applicable):
1.0.12-3.1.fc8

How reproducible:
always

Steps to Reproduce:
1. Enable the checkbox on an interface in the Masquerading section.
2. Apply.
3. Note that no packets are allowed to be forwarded.
  
Actual results:
-A FORWARD -j REJECT --reject-with icmp-host-prohibited

Expected results:
Remove the FORWARD rule that REJECTs all packets.
Comment 1 Thomas Woerner 2008-02-11 06:25:25 EST
Please have a look at system-config-firewall-1.0.12-4.fc8 in F-8 testing.
Comment 2 Fedora Update System 2008-02-12 23:57:43 EST
system-config-firewall-1.0.12-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.